Summary:	Versatile vmstat, iostat and ifstat replacement
Name:		dstat
Version:	0.7.4
Release: 	%mkrel 3
License: 	GPLv2+
Group: 		System/Kernel and hardware
URL: 		http://dag.wiee.rs/home-made/dstat/
Source: 	https://github.com/dagwieers/dstat/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch: 	noarch

%description
Dstat is a versatile replacement for vmstat, iostat and ifstat. Dstat
overcomes some of the limitations and adds some extra features.

Dstat allows you to view all of your system resources instantly,
you can e.g. compare disk usage in combination with interrupts from
your IDE controller, or compare the network bandwidth numbers
directly with the disk throughput (in the same interval).

Dstat also cleverly gives you the most detailed information in
columns and clearly indicates in what magnitude and unit the output
is displayed. Less confusion, less mistakes.

Dstat is also unique in letting you aggregate block device throughput
for a certain diskset or network bandwidth for a group of interfaces,
i.e. you can see the throughput for all the block devices that make up
a single filesystem or storage system.

You can customize your dstat output from /etc/dstat.conf and you can
write your own dstat modules to plug into the dstat output.

Dstat's output, in its current form, is not very useful to be post-
processed by other tools. It's mostly meant for allowing humans to
interpret real-time data as easily as possible.

%prep
%setup -q

%build

%install
%make_install

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}/%{name}
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/

%files
%doc AUTHORS ChangeLog README.adoc TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.7.4-3.mga9
+ Revision: 1812417
- Mageia 9 Mass Rebuild

* Mon Feb 24 2020 daviddavid <daviddavid> 0.7.4-2.mga8
+ Revision: 1549977
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Jul 04 2019 daviddavid <daviddavid> 0.7.4-1.mga8
+ Revision: 1418285
- new version: 0.7.4

* Tue Sep 18 2018 umeabot <umeabot> 0.7.3-2.mga7
+ Revision: 1261832
- Mageia 7 Mass Rebuild

* Sun Feb 05 2017 daviddavid <daviddavid> 0.7.3-1.mga6
+ Revision: 1084871
- new version: 0.7.3
- update URL and Source URL

* Sat Feb 06 2016 umeabot <umeabot> 0.7.2-6.mga6
+ Revision: 940174
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 742376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-4.mga5
+ Revision: 678874
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 503943
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 349150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 19 2012 dams <dams> 0.7.2-1.mga3
+ Revision: 261940
- new version 0.7.2

* Sun May 08 2011 nanardon <nanardon> 0.7.1-2.mga1
+ Revision: 96476
- imported package dstat


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-2mdv2011.0
+ Revision: 610288
- rebuild

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 509624
- update to new version 0.7.1

* Sat Dec 26 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2010.1
+ Revision: 482481
- 0.7.0 (fixes CVE-2009-3894,4081)

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 0.6.9-1mdv2009.1
+ Revision: 324540
- 0.6.9

* Fri Sep 12 2008 Olivier Thauvin <nanardon@mandriva.org> 0.6.8-1mdv2009.0
+ Revision: 284101
- 0.6.8

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.6.7-3mdv2009.0
+ Revision: 244553
- rebuild

* Tue Feb 26 2008 Erwan Velu <erwan@mandriva.org> 0.6.7-1mdv2008.1
+ Revision: 175415
- 0.6.7
- 0.6.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6-1mdv2008.0
+ Revision: 18963
- new version

* Fri Apr 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.5-1mdv2008.0
+ Revision: 15940
- 0.6.5


* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-1mdv2007.0
+ Revision: 96670
- 0.6.4
- Import dstat

* Fri Jul 28 2006 Erwan Velu <erwan@mandriva.com> 0.6.3-1mdk
- 0.6.3

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 0.6.2-1mdk
- 0.6.2

* Tue Sep 06 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-1mdk
- 0.6.1

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.6.0-1mdk
- 0.6.0

* Tue Apr 26 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.10-1mdk
- 0.5.10

* Mon Dec 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5

* Sun Nov 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.3-1mdk
- mdk spec

* Sun Nov 21 2004 Dag Wieers <dag@wieers.com> - 0.5.3-1
- Updated to release 0.5.3.

* Sat Nov 13 2004 Dag Wieers <dag@wieers.com> - 0.5.2-1
- Updated to release 0.5.2.

* Thu Nov 11 2004 Dag Wieers <dag@wieers.com> - 0.5.1-1
- Updated to release 0.5.1.

* Wed Oct 27 2004 Dag Wieers <dag@wieers.com> - 0.4-1
- Initial package. (using DAR)

